# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['core',
 'core._collections',
 'core._collections._dict',
 'core._collections._list',
 'core._collections.graph',
 'core._collections.graph.tests',
 'core._curses',
 'core._json',
 'core._logging',
 'core._math',
 'core._rich',
 'core._tkinter',
 'core.algorithms',
 'core.animations',
 'core.datetime_',
 'core.sounds',
 'core.sounds.cs16',
 'core.sounds.system',
 'core.sounds.vox',
 'core.tests',
 'core.tests._math',
 'core.timezone']

package_data = \
{'': ['*'],
 'core.sounds.cs16': ['original/*'],
 'core.sounds.system': ['original/*'],
 'core.sounds.vox': ['original/*']}

install_requires = \
['MouseInfo>=0.1.3,<0.2.0',
 'Pillow>=9.0.1,<10.0.0',
 'PyAudio>=0.2.11,<0.3.0',
 'PyAutoGUI>=0.9.53,<0.10.0',
 'PyGetWindow>=0.0.9,<0.0.10',
 'PyMsgBox>=1.0.9,<2.0.0',
 'PyPDF2>=1.26.0,<2.0.0',
 'PyRect>=0.1.4,<0.2.0',
 'PyScreeze>=0.1.28,<0.2.0',
 'PySocks>=1.7.1,<2.0.0',
 'PyYAML>=6.0,<7.0',
 'Pygments>=2.11.2,<3.0.0',
 'SpeechRecognition>=3.8.1,<4.0.0',
 'Wand>=0.6.7,<0.7.0',
 'appdirs>=1.4.4,<2.0.0',
 'astroid>=2.9.3,<3.0.0',
 'async_generator>=1.10,<2.0',
 'attrs>=21.4.0,<22.0.0',
 'beautifulsoup4>=4.10.0,<5.0.0',
 'bs4>=0.0.1,<0.0.2',
 'certifi>=2021.10.8,<2022.0.0',
 'cffi>=1.15.0,<2.0.0',
 'chardet>=4.0.0,<5.0.0',
 'charset-normalizer>=2.0.11,<3.0.0',
 'click>=8.0.3,<9.0.0',
 'colorama>=0.4.4,<0.5.0',
 'commonmark>=0.9.1,<0.10.0',
 'coverage-badge>=1.1.0,<2.0.0',
 'coverage>=6.3.1,<7.0.0',
 'cryptography>=36.0.1,<37.0.0',
 'cycler>=0.11.0,<0.12.0',
 'datedelta>=1.4,<2.0',
 'decopatch>=1.4.8,<2.0.0',
 'decorator>=5.1.1,<6.0.0',
 'docstr-coverage>=2.1.1,<3.0.0',
 'execnet>=1.9.0,<2.0.0',
 'ffmpeg-python>=0.2.0,<0.3.0',
 'fonttools>=4.29.1,<5.0.0',
 'future>=0.18.2,<0.19.0',
 'gTTS>=2.2.3,<3.0.0',
 'geojson>=2.5.0,<3.0.0',
 'greenlet>=1.1.2,<2.0.0',
 'h11>=0.13.0,<0.14.0',
 'idna>=3.3,<4.0',
 'imageio-ffmpeg>=0.4.5,<0.5.0',
 'imageio>=2.15.0,<3.0.0',
 'importlib-metadata>=4.10.1,<5.0.0',
 'iniconfig>=1.1.1,<2.0.0',
 'isort>=5.10.1,<6.0.0',
 'jedi>=0.18.1,<0.19.0',
 'keyboard>=0.13.5,<0.14.0',
 'kiwisolver>=1.3.2,<2.0.0',
 'lazy-object-proxy>=1.7.1,<2.0.0',
 'makefun>=1.13.1,<2.0.0',
 'matplotlib>=3.5.1,<4.0.0',
 'mccabe>=0.7.0,<0.8.0',
 'numpy>=1.22.2,<2.0.0',
 'opencv-python>=4.5.5,<5.0.0',
 'outcome>=1.1.0,<2.0.0',
 'packaging>=21.3,<22.0',
 'parso>=0.8.3,<0.9.0',
 'pdfminer.six>=20211012,<20211013',
 'pdfplumber>=0.6.0,<0.7.0',
 'platformdirs>=2.4.1,<3.0.0',
 'playsound>=1.3.0,<2.0.0',
 'playwright>=1.18.2,<2.0.0',
 'pluggy>=1.0.0,<2.0.0',
 'proglog>=0.1.9,<0.2.0',
 'prompt-toolkit>=3.0.27,<4.0.0',
 'ptpython>=3.0.20,<4.0.0',
 'py>=1.11.0,<2.0.0',
 'pyOpenSSL>=22.0.0,<23.0.0',
 'pycparser>=2.21,<3.0',
 'pydub>=0.25.1,<0.26.0',
 'pyowm>=3.2.0,<4.0.0',
 'pyparsing>=3.0.7,<4.0.0',
 'pyperclip>=1.8.2,<2.0.0',
 'pyppeteer>=1.0.2,<2.0.0',
 'pytesseract>=0.3.8,<0.4.0',
 'pytest-cases>=3.6.8,<4.0.0',
 'pytest-forked>=1.4.0,<2.0.0',
 'pytest-steps>=1.8.0,<2.0.0',
 'pytest-xdist>=2.5.0,<3.0.0',
 'pytest>=7.0.0,<8.0.0',
 'python-dateutil>=2.8.2,<3.0.0',
 'python-nmap>=0.7.1,<0.8.0',
 'python3-nmap>=1.5.1,<2.0.0',
 'python3-xlib>=0.15,<0.16',
 'pyttsx3>=2.90,<3.0',
 'pytweening>=1.0.4,<2.0.0',
 'pytz>=2021.3,<2022.0',
 'pyzbar>=0.1.8,<0.2.0',
 'requests>=2.27.1,<3.0.0',
 'rich>=11.1.0,<12.0.0',
 'selenium>=4.1.0,<5.0.0',
 'setuptools>=60.8.1,<61.0.0',
 'simplejson>=3.17.6,<4.0.0',
 'six>=1.16.0,<2.0.0',
 'sniffio>=1.2.0,<2.0.0',
 'sortedcontainers>=2.4.0,<3.0.0',
 'sounddevice>=0.4.4,<0.5.0',
 'soupsieve>=2.3.1,<3.0.0',
 'stackprinter>=0.2.5,<0.3.0',
 'sudo>=1.0.0,<2.0.0',
 'toml>=0.10.2,<0.11.0',
 'tqdm>=4.62.3,<5.0.0',
 'trio-websocket>=0.9.2,<0.10.0',
 'trio>=0.19.0,<0.20.0',
 'urllib3>=1.26.8,<2.0.0',
 'wcwidth>=0.2.5,<0.3.0',
 'websockets>=10.1,<11.0',
 'wrapt>=1.13.3,<2.0.0',
 'wsproto>=1.0.0,<2.0.0',
 'zipp>=3.7.0,<4.0.0']

setup_kwargs = {
    'name': 'core-dev',
    'version': '0.1.3',
    'description': '',
    'long_description': '![docstr-coverage](./_core-logo-dev-readme.png)\n\n<p align="center">\n    <a href="https://choosealicense.com/licenses/mit/" alt="License: MIT">\n        <img src="https://img.shields.io/badge/license-MIT-green.svg" />\n    </a>\n    <a href="https://choosealicense.com/licenses/mit/" alt="License: MIT">\n        <img src="./coverage/coverage.svg">\n    </a>\n    <a href="https://choosealicense.com/licenses/mit/" alt="License: MIT">\n        <img src="./coverage/docs.svg">\n    </a>\n</p>\n\nthese are not from me, but they are inspiration for better readme\n<p align="center">\n    <img src="https://github.com/HunterMcGushion/docstr_coverage/workflows/Python%20package/badge.svg" />\n    <a href=\'https://docstr-coverage.readthedocs.io/en/latest/?badge=latest\'>\n        <img src=\'https://readthedocs.org/projects/docstr-coverage/badge/?version=latest\' alt=\'Documentation Status\' />\n    </a>\n    <a href="https://pypi.org/project/docstr-coverage/">\n        <img alt="PyPI" src="https://img.shields.io/pypi/v/docstr-coverage">\n    </a>\n    <a href="https://img.shields.io/pypi/pyversions/docstr-coverage">\n        <img alt="Python Version" src="https://img.shields.io/pypi/pyversions/docstr-coverage">\n    </a>\n    <a href="https://pepy.tech/project/docstr-coverage">\n        <img alt="Download count" src="https://static.pepy.tech/personalized-badge/docstr-coverage?period=total&units=international_system&left_color=gray&right_color=orange&left_text=downloads">\n    </a>\n    <a href="https://black.readthedocs.io/en/stable/" alt="Code Style: Black">\n        <img src="https://img.shields.io/badge/code%20style-black-000000.svg" />\n    </a>\n</p>\n\n# the `_core` package\nthis is the dev branch (experimental only)\n\nbest of the best - meaning: you got all python utilities ever in one package\n\n\n\n# TODO\ncheck [`TODO.md`](./TODO.md)\n\n\n### why there is a test_core outside the package\n\nbecause we simulate how it would be to import `_core` from other python packages\n\nassuming that `_core` is in PYTHONPATH\n',
    'author': 'alexzanderr',
    'author_email': 'alexxander18360@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
